> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Send a Payout

> Send a payout to a person when you know their phone number or user id. If the user has a Dots acconut, the funds will delivered according to their saved prefernces. Otherwise, they will be sent a Payout Link to onboard and recieve funds.



## OpenAPI

````yaml /v2.yaml post /v2/payouts/send-payout
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/payouts/send-payout:
    parameters: []
    post:
      tags:
        - payouts
      summary: Send a Payout
      description: >-
        Send a payout to a person when you know their phone number or user id.
        If the user has a Dots acconut, the funds will delivered according to
        their saved prefernces. Otherwise, they will be sent a Payout Link to
        onboard and recieve funds.
      operationId: send-payout
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties: false
              type: object
              properties:
                amount:
                  type: integer
                  description: The amount in cents to pay the user.
                  exclusiveMinimum: 0
                user_id:
                  type: string
                  format: uuid
                  description: The user's id. `user_id` or `payee` is required.
                payee:
                  type: object
                  description: The payee's phone number. `user_id` or `payee` is required.
                  properties:
                    country_code:
                      type: string
                      description: >-
                        Country code of the payee's phone number e.g. "1" for
                        USA.
                    phone_number:
                      type: string
                      description: Rest of the payee's phone number.
                  required:
                    - country_code
                    - phone_number
                delivery:
                  type: object
                  properties:
                    message:
                      type: string
                      description: Message to send with the payout through sms.
                force_collect_compliance_information:
                  type: boolean
                  default: false
                  description: Collect 1099 or w8-ben information.
                additional_steps:
                  type: array
                  description: Array of steps in the flow.
                  items:
                    type: string
                    enum:
                      - compliance
                      - id-verification
                      - background-check
                      - manage-payments
                      - manage-payouts
                      - payout
                      - redirect
                      - pdf-form-fill
                tax_exempt:
                  type: boolean
                  description: >-
                    Payouts marked as `tax_exempt` will not be counted towards
                    the 1099 threshold.
                metadata:
                  description: >-
                    Set of key-value pairs that you can attach to an object.
                    This can be useful for storing additional information about
                    the object in a structured format.
                  type:
                    - string
                    - object
                memo:
                  type: string
                  description: Add a memo to the top of the Payout Link
                idempotency_key:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  description: >-
                    Unique UUID key that prevents duplicate requests from being
                    processed. If a payout link with the idempotency key exists,
                    a new link will not be created and the existing link will be
                    returned instead.
                payout_fee_party:
                  type:
                    - string
                    - 'null'
                  format: uuid
                  enum:
                    - user
                    - platform
                  description: >-
                    Overrides the setting for which party will pay fees on this
                    payout. This takes precedence over the default for your
                    application.
                accounting_data:
                  type: object
                  properties:
                    quickbooks_account_id:
                      type: integer
                      description: >-
                        Source/destination account ID to use when syncing the
                        transaction to Quickbooks.
                    quickbooks_class_id:
                      type: integer
                      description: >-
                        Class ID to use for classification when syncing the
                        transaction to Quickbooks.
              required:
                - amount
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/payout-link'
                description: The `payout-link` object.
components:
  schemas:
    payout-link:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: ID of the `payout-link`.
        created:
          type: string
          format: date-time
          description: Date the `payout-link` was created.
        link:
          type: string
          format: uri
          description: URL to access the `payout-link`.
        amount:
          type: number
          description: The amount to pay in cents.
        status:
          type: string
          enum:
            - created
            - delivery_pending
            - delivery_failed
            - sent
            - delivered
            - claimed
            - reversed
            - canceled
            - expired
            - failed
          description: Status of the `payout-link`.
        payee:
          type: object
          description: Information about the payee. It is used to pre-fill information.
          properties:
            first_name:
              type: string
              description: Payee's first name.
            last_name:
              type: string
              description: Payee's last name.
            email:
              type: string
              format: email
              description: Payee's email address.
            country_code:
              type: string
              description: Country code of the payee's phone number e.g. "1" for USA.
            phone_number:
              type: string
              description: Rest of the payee's phone number.
        delivery:
          type: object
          properties:
            method:
              type: string
              enum:
                - link
                - sms
                - email
            email:
              type: string
              format: email
            country_code:
              type: string
            phone_number:
              type: string
        tax_exempt:
          type: boolean
          description: >-
            Transfers marked as `tax_exempt` will not be counted towards the
            1099 threshold.
        claimed_user_id:
          type: string
          format: uuid
          description: ID of the `user` that has claimed the `payout-link`.
        flow_id:
          type: string
          format: uuid
          description: ID of the payout flow UI that is sent to the user.
        transfer_id:
          type: string
          format: uuid
          description: ID of the `transfer` created for this `payout-link`.
        memo:
          type:
            - string
            - 'null'
          description: Optional memo added to this `payout-link`
        metadata:
          type:
            - string
            - object
            - 'null'
          description: >-
            Set of key-value pairs that you can attach to an object. This can be
            useful for storing additional information about the object in a
            structured format.
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````